Bug 82796 - [IVB/BYT-M/HSW/BDW Bisected]Synmark2_v6.0_OglTerrainFlyInst/OglTerrainPanInst cannot run as image validation failed
Summary: [IVB/BYT-M/HSW/BDW Bisected]Synmark2_v6.0_OglTerrainFlyInst/OglTerrainPanInst...
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: high major
Assignee: Kristian Høgsberg
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-19 03:31 UTC by zhoujian
Modified: 2014-09-03 06:33 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
OglTerrainFlyInst.png (2.39 MB, image/png)
2014-08-19 03:34 UTC, zhoujian
Details
OglTerrainPanInst.png (1.84 MB, image/png)
2014-08-19 03:36 UTC, zhoujian
Details
Fix for the synmark terrain issue (3.19 KB, patch)
2014-08-25 18:11 UTC, Kristian Høgsberg
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description zhoujian 2014-08-19 03:31:23 UTC
----------------------------------------------
Platform: IVB/BYT/HSW
Libdrm: (master)libdrm-2.4.56-8-gd9ce09de12131fa8c5ff2d7c2dbd6b61d8a5fd14
Mesa: (master)ef130b6050fc91c12a220f19d8bdd659712f7fb9
Xserver: (master)xorg-server-1.15.99.902-121-g2f5cf9ff9a0f713b7e038636484c77f113a5f10a
Xf86_video_intel: (master)2.99.914-55-gf8e632f396bf4b0473dca0516567d56a29954cf3
Cairo: (master)7736d08e22ffd7ab9968617164c7e027125b7755
Libva: (master)acfcd5f0637a951d50c5112c7dfbd46f1d0dcdb3
Libva_intel_driver: (master)82d2ed8d7da3619c0ea467c06604f5626fc0b901
Kernel_version: drm-intel-nightly(git-186631)

Bug detailed description:
----------------------------------------------
Synmark2_v6.0_OglTerrainFlyInst/OglTerrainPanInst cannot work well on IVB/BYT-M/HSW, this issue doesn’t exist on BDW, The problem exists both on gnome-session and Raw X. you can see OglTerrainFlyInst.png and OglTerrainPanInst.png picture.
Output log:
./synmark2 OglTerrainFlyInst
-- SynMark2 6.0.0 -- 06:16:23 08/19/14 --
Test name: OglTerrainFlyInst
Config name: Default
Validation: Failed - different (27.737 %), different (27.735 %)
OglTerrainFlyInst: Image validation failed - different (27.737 %), different (27.735 %)
Exception caught in OglTerrainFlyInst: Image incorrectly rendered

It’s Mesa regression, bisecting show that the first bad commit is:	
commit 2f28a0dc23165123cf1e8b5942acad37878edd8a
Author:     Kristian Høgsberg <krh@bitplanet.net>
AuthorDate: Mon Jul 7 16:44:58 2014 -0700
Commit:     Kristian Høgsberg <krh@bitplanet.net>
CommitDate: Fri Aug 15 11:25:47 2014 -0700
i965: Implement fast color clears using meta operations

Reproduce steps:
---------------------------------------------
1.   xinit&
2.  ./synmark2 OglTerrainFlyInst
Comment 1 zhoujian 2014-08-19 03:34:14 UTC
Created attachment 104858 [details]
OglTerrainFlyInst.png
Comment 2 zhoujian 2014-08-19 03:36:00 UTC
Created attachment 104859 [details]
OglTerrainPanInst.png
Comment 3 Kristian Høgsberg 2014-08-25 18:11:26 UTC
Created attachment 105249 [details] [review]
Fix for the synmark terrain issue

This patch fixes the synmark validation problem on my IVB laptop.
Comment 4 zhoujian 2014-08-27 03:24:16 UTC
(In reply to comment #3)
> Created attachment 105249 [details] [review] [review]
> Fix for the synmark terrain issue
> 
> This patch fixes the synmark validation problem on my IVB laptop.

Have tried this patch on IVB,it can works well.
Comment 5 wendy.wang 2014-09-02 07:07:20 UTC
Hi Kristian,
Your attached patch can fix this issue, would you pls help merge it up, thx.
Comment 6 Kristian Høgsberg 2014-09-02 17:35:56 UTC
(In reply to comment #5)
> Hi Kristian,
> Your attached patch can fix this issue, would you pls help merge it up, thx.

Thanks for testing.  I've pushed it to master.
Comment 7 zhoujian 2014-09-03 06:33:37 UTC
Verified it,it can works well on BDW/HSW/BYT-M/IVB,Verified commit is:git-2adf7ee


bug/show.html.tmpl processed on Feb 26, 2017 at 07:42:06.
(provided by the Example extension).